#!/bin/sh
#HDD-Check - Dateisystem-extfs3 der Dbox2-Festplatte ueberpruefen

version=0.1
name=DrStoned

if [ ! -f /var/etc/.start_ide ]; then
	msgbox title="Fehler" msg="~cIDE-Treiber nicht geladen !~n~c Bitte den IDE-Treiber in den Treiber- und Bootoptionen laden~n~c und die Dbox neu starten. "
	exit;
	fi

msg()
{
msgbox title="HDD-Check Version "$version" by "$name"" size=32 msg="$text" select="Bitte warten" &
}

text="~c Dieses Skript dient dazu, die Festplatte in der DBox ~n~c zu ~uberpr~ufen.~n~n~c Hierbei wird die HDD ungemountet und anschlieend~n~c das Dateisystem mit fsck.ext3 ~uberpr~uft.~n~c Dieser Vorgang dauert ein paar Minuten.~n~n~s~n~c~Y Achtung: Eventuelle Fehler werden automatisch korrigiert~n~c~Y Die Dbox darf whrend des Festplattenchecks~n~c~Y nicht ausgeschaltet oder resettet werden !~n~c~ !!! Sonst droht Datenverlust !!!~n~s~n~n~c Festplattencheck starten?"

msgbox title="HDD-Check "$version" by "$name"" refresh=3 size=28 msg="$text" select="Nein,ja"
if [ $? = "1" ]; then
	msgbox title="HDD-Check" refresh=2 size=50 popup="Vorgang abgebrochen" timeout=3 
	exit;
	fi

text="~c~Y!!! HDD-Check, bitte warten !!!~n~s~n~l~G X Festplatte unmounten~n~l O unmounten testen~n~l O Festplatte ~uberpr~ufen~n~l O mounte Datenpartition nach /hdd~n~l O Ergebnis anzeigen~n~s~n~cDieser Vorgang dauert ein paar Minuten~n~s"
msg
umount /hdd
sleep 2

text="~c~Y!!! HDD-Check, bitte warten !!!~n~s~n~l X Festplatte unmounten~n~l~G X unmounten testen~n~l O Festplatte ~uberpr~ufen~n~l O mounte Datenpartition nach /hdd~n~l O Ergebnis anzeigen~n~s~n~cDieser Vorgang dauert ein paar Minuten~n~s"
msg
sleep 1
if [ -e /hdd/lost+found/ ] ; then
	msgbox title="Fehler" refresh=2 popup="~Y~c!!! Die Festplatte konnte nicht ungemountet werden !!!~n~n~c M~oglicherweise l~auft noch ein Programm auf der Festplatte,~n~c das nicht beendet wurde. " timeout=7
	killall msgbox
	exit;
sleep 2
else

text="~c~Y!!! HDD-Check, bitte warten !!!~n~s~n~l X Festplatte unmounten~n~l X unmounten testen~n~l~G X Festplatte ~uberpr~ufen~n~l O mounte Datenpartition nach /hdd~n~l O Ergebnis anzeigen~n~s~n~cDieser Vorgang dauert ein paar Minuten~n~s"
msg
fsck.ext3 -fvy /dev/ide/host0/bus0/target0/lun0/part2 > /tmp/fsck.log ;
echo ~Y~c !!! Festplattencheck-Check abgeschlossen, bitte 30 Sekunden warten !!! >> /tmp/fsck.log ;

text="~c~Y!!! HDD-Check, bitte warten !!!~n~s~n~l X Festplatte unmounten~n~l X unmounten testen~n~l X Festplatte ~uberpr~ufen~n~l~G X mounte Datenpartition nach /hdd~n~l O Ergebnis anzeigen~n~s~n~cDieser Vorgang dauert ein paar Minuten~n~s"
msg
sleep 1
/bin/mount -t ext3 /dev/ide/host0/bus0/target0/lun0/part2 /hdd ;
sleep 1

text="~c~Y!!! HDD-Check, bitte warten !!!~n~s~n~l X Festplatte unmounten~n~l X unmounten testen~n~l X Festplatte ~uberpr~ufen~n~l X mounte Datenpartition nach /hdd~n~l~G X Ergebnis anzeigen~n~s~n~cDieser Vorgang dauert ein paar Minuten~n~s"
msg
sleep 1 
msgbox title="Ergebnis HDD-Check" refresh=2 size=26 popup=/tmp/fsck.log timeout=30
killall msgbox
fi